Redmine - Patch #233

Per project themes patch
2007-10-16 18:50 - Wynn Netherland

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Themes Estimated time: 0.00 hour
Target version:

Description

| was so excited to see JP had included the ability to theme the app easily. | really wanted to be able to theme projects
independently for customer-facing projects. Here is a patch to do so.

Related issues:

Related to Redmine - Feature #2778: Project's theme configuration New 2009-02-18
Related to Redmine - Feature #8867: Per user themes Closed 2011-07-21
Has duplicate Redmine - Feature #10863: Theme per project Closed

Has duplicate Redmine - Feature #11705: Project based theme or color selection Closed

History

#1 - 2007-11-23 03:35 - Derek Montgomery
Could that be included in trunk?

#2 - 2008-07-17 23:44 - Derek Montgomery
JP?
Can we have this in trunk?

It would permit an redmine admin to let project leaders to have a custom look for their own space...

#3 - 2009-01-16 06:02 - David Bronke

I'd like to see this updated for the latest Redmine, and | may tackle that myself if | have the time. | also think that support for changing the favicon on a
per-project basis would be very useful, especially for public-facing Redmine installs, such as my company's. (http://new.development.g33xnexus.com)

#4 - 2009-02-04 16:35-S C

| totally agree. For an industrial usage it would be really great.
Looking at the patch, it seems to be easy to add in the trunk...

#5 - 2009-02-21 13:34 - Jean-Philippe Lang

I'd prefer not to add an extra column to the projects table for each settting that could be overridden at project level.
| think a refactoring of the Setting model that would allow storing project specific settings would be a much better solution.

#6 - 2009-02-21 19:27 - Eric Davis

Jean-Philippe Lang wrote:

| think a refactoring of the Setting model that would allow storing project specific settings would be a much better solution.

+1, that could open up a lot of additional customization also (e.g. Show subproject issues for Project A, B, and C but not for Project D)

#7 - 2009-07-28 02:56 - Christian Winther

any news on this issue? :)

#8 - 2011-03-23 11:00 - Toshi MARUYAMA

- Category set to Themes

#9 - 2011-07-13 17:13 - Glenn Gould

Any chance to get this included in current Redmine?
It was working fine with 0.9.2, but meanwhile there has been some refactoring of themes.rb and | don't know how to achieve the functionality of

choosing a custom theme per project in project settings again which is quiet a pity...

#10 - 2013-04-02 16:38 - Markus Pins
+15)

#11 - 2014-01-28 11:50 - Dmitry Beloglazov

+1
Would be really nice to have.

#12 - 2016-06-30 17:45-L 5

| also would like to have this possibility.

| have helped myself by cloning the theme folder and using some rewrite rules in the apache2 server:
RewriteEngine On

RewriteCond %{HTTP_HOST} “projectl\.mydomain\.com [NC]
RewriteRule “r/themes/main_theme_name (.*)$ /r/themes/projectl$l [PT]

It works very well - just the email notifications unfortunately all come from the same originating domain and email address...
Files
075_add_project_ui_theme.rb 181 Bytes 2008-02-03 Wynn Netherland
per_project_themes.diff 1.46 KB 2008-02-03 Wynn Netherland
